# HG changeset patch
# Node ID edc99dffe084
# Parent  cb37ee7c7a93
diff --git a/gnt-skel.h b/gnt-skel.h
--- a/gnt-skel.h
+++ b/gnt-skel.h
@@ -21,12 +21,6 @@
 
 #ifndef GNT_SKEL_H
 #define GNT_SKEL_H
-/*
- * SECTION:gnt-skel
- * @section_id: libgnt-gnt-skel
- * @title: GntSkel
- * @short_description: A skeleton of an example widget
- */
 
 #include "gntwidget.h"
 #include "gntcolors.h"
diff --git a/gntbindable.h b/gntbindable.h
--- a/gntbindable.h
+++ b/gntbindable.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_BINDABLE_H
 #define GNT_BINDABLE_H
-/**
- * SECTION:gntbindable
- * @section_id: libgnt-gntbindable
- * @title: GntBindable
- * @short_description: Key-bindable GObjects
- */
 
 #include <stdio.h>
 #include <glib.h>
@@ -74,9 +68,6 @@
 
 const char * gnt_bindable_remap_keys(GntBindable *bindable, const char *text);
 
-/********************/
-/* Bindable Actions */
-/********************/
 /**
  * GntBindableActionCallback:
  * @bindable: A bindable object.
diff --git a/gntbox.h b/gntbox.h
--- a/gntbox.h
+++ b/gntbox.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_BOX_H
 #define GNT_BOX_H
-/**
- * SECTION:gntbox
- * @section_id: libgnt-gntbox
- * @title: GntBox
- * @short_description: A box for packing widgets in a single row or column
- */
 
 #include "gntwidget.h"
 
@@ -79,13 +73,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_box_get_type:
- *
- * The GType for GntBox.
- *
- * Returns: The GType.
- */
 G_DECLARE_DERIVABLE_TYPE(GntBox, gnt_box, GNT, BOX, GntWidget)
 
 /**
diff --git a/gntbutton.h b/gntbutton.h
--- a/gntbutton.h
+++ b/gntbutton.h
@@ -25,13 +25,6 @@
 
 #ifndef GNT_BUTTON_H
 #define GNT_BUTTON_H
-/**
- * SECTION:gntbutton
- * @section_id: libgnt-gntbutton
- * @title: GntButton
- * @short_description: A widget that can be activated
- * @see_also: #GntCheckBox
- */
 
 #include <glib.h>
 #include <glib-object.h>
@@ -55,11 +48,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_button_get_type:
- *
- * Returns:  GType for Gntbutton
- */
 G_DECLARE_DERIVABLE_TYPE(GntButton, gnt_button, GNT, BUTTON, GntWidget)
 
 /**
diff --git a/gntcheckbox.h b/gntcheckbox.h
--- a/gntcheckbox.h
+++ b/gntcheckbox.h
@@ -25,13 +25,6 @@
 
 #ifndef GNT_CHECK_BOX_H
 #define GNT_CHECK_BOX_H
-/**
- * SECTION:gntcheckbox
- * @section_id: libgnt-gntcheckbox
- * @title: GntCheckBox
- * @short_description: A widget that can be toggled
- * @see_also: #GntButton
- */
 
 #include "gntbutton.h"
 #include "gntcolors.h"
@@ -59,11 +52,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_check_box_get_type:
- *
- * Returns: GType for GntCheckBox
- */
 G_DECLARE_DERIVABLE_TYPE(GntCheckBox, gnt_check_box, GNT, CHECK_BOX, GntButton)
 
 /**
diff --git a/gntclipboard.h b/gntclipboard.h
--- a/gntclipboard.h
+++ b/gntclipboard.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_CLIPBOARD_H
 #define GNT_CLIPBOARD_H
-/**
- * SECTION:gntclipboard
- * @section_id: libgnt-gntclipboard
- * @title: GntClipboard
- * @short_description: A short-term text storage buffer
- */
 
 #include <glib.h>
 #include <glib-object.h>
@@ -39,11 +33,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_clipboard_get_type:
- *
- * Returns: GType for GntClipboard.
- */
 G_DECLARE_FINAL_TYPE(GntClipboard, gnt_clipboard, GNT, CLIPBOARD, GObject)
 
 /**
diff --git a/gntcolors.h b/gntcolors.h
--- a/gntcolors.h
+++ b/gntcolors.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_COLORS_H
 #define GNT_COLORS_H
-/**
- * SECTION:gntcolors
- * @section_id: libgnt-gntcolors
- * @title: Colors
- * @short_description: Managing and parsing colors
- */
 
 #include <glib.h>
 
diff --git a/gntcombobox.h b/gntcombobox.h
--- a/gntcombobox.h
+++ b/gntcombobox.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_COMBO_BOX_H
 #define GNT_COMBO_BOX_H
-/**
- * SECTION:gntcombobox
- * @section_id: libgnt-gntcombobox
- * @title: GntComboBox
- * @short_description: A widget for selecting between multiple choices
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -40,11 +34,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_combo_box_get_type:
- *
- * Returns:  Get the GType for GntComboBox
- */
 G_DECLARE_FINAL_TYPE(GntComboBox, gnt_combo_box, GNT, COMBO_BOX, GntWidget)
 
 /**
diff --git a/gntentry.h b/gntentry.h
--- a/gntentry.h
+++ b/gntentry.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_ENTRY_H
 #define GNT_ENTRY_H
-/**
- * SECTION:gntentry
- * @section_id: libgnt-gntentry
- * @title: GntEntry
- * @short_description: A widget for entering text
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -73,11 +67,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_entry_get_type:
- *
- * Returns: GType for GntEntry.
- */
 G_DECLARE_DERIVABLE_TYPE(GntEntry, gnt_entry, GNT, ENTRY, GntWidget)
 
 /**
diff --git a/gntfilesel.h b/gntfilesel.h
--- a/gntfilesel.h
+++ b/gntfilesel.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_FILE_SEL_H
 #define GNT_FILE_SEL_H
-/**
- * SECTION:gntfilesel
- * @section_id: libgnt-gntfilesel
- * @title: GntFileSel
- * @short_description: A widget for selecting a file or directory
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -40,11 +34,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_file_sel_get_type:
- *
- * Returns: GType for GntFileSel.
- */
 G_DECLARE_DERIVABLE_TYPE(GntFileSel, gnt_file_sel, GNT, FILE_SEL, GntWindow)
 
 /**
diff --git a/gntkeys.h b/gntkeys.h
--- a/gntkeys.h
+++ b/gntkeys.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_KEYS_H
 #define GNT_KEYS_H
-/**
- * SECTION:gntkeys
- * @section_id: libgnt-gntkeys
- * @title: Keys
- * @short_description: Key value lookup and transformation
- */
 
 #include <term.h>
 
diff --git a/gntlabel.h b/gntlabel.h
--- a/gntlabel.h
+++ b/gntlabel.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_LABEL_H
 #define GNT_LABEL_H
-/**
- * SECTION:gntlabel
- * @section_id: libgnt-gntlabel
- * @title: GntLabel
- * @short_description: A widget that displays text
- */
 
 #include "gntncurses.h"
 #include "gnttextview.h"
@@ -40,11 +34,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_label_get_type:
- *
- * Returns: GType for GntLabel.
- */
 G_DECLARE_FINAL_TYPE(GntLabel, gnt_label, GNT, LABEL, GntWidget)
 
 /**
diff --git a/gntline.h b/gntline.h
--- a/gntline.h
+++ b/gntline.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_LINE_H
 #define GNT_LINE_H
-/**
- * SECTION:gntline
- * @section_id: libgnt-gntline
- * @title: GntLine
- * @short_description: A widget that draws a horizontal or vertical line
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -40,11 +34,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_line_get_type:
- *
- * Returns: GType for GntLine.
- */
 G_DECLARE_FINAL_TYPE(GntLine, gnt_line, GNT, LINE, GntWidget)
 
 /**
diff --git a/gntmain.h b/gntmain.h
--- a/gntmain.h
+++ b/gntmain.h
@@ -26,13 +26,6 @@
 #ifndef GNT_MAIN_H
 #define GNT_MAIN_H
 
-/**
- * SECTION:gntmain
- * @section_id: libgnt-gntmain
- * @title: General
- * @short_description: General API for managing GNT
- */
-
 #include <glib.h>
 
 #include <gntclipboard.h>
diff --git a/gntmenu.h b/gntmenu.h
--- a/gntmenu.h
+++ b/gntmenu.h
@@ -25,13 +25,6 @@
 
 #ifndef GNT_MENU_H
 #define GNT_MENU_H
-/**
- * SECTION:gntmenu
- * @section_id: libgnt-gntmenu
- * @title: GntMenu
- * @short_description: A widget for a toplevel or popup menu
- * @see_also: #GntMenuItem #GntMenuItemCheck
- */
 
 #include "gnttree.h"
 #include "gntcolors.h"
@@ -60,11 +53,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_menu_get_type:
- *
- * Returns:  The GType for GntMenu.
- */
 G_DECLARE_FINAL_TYPE(GntMenu, gnt_menu, GNT, MENU, GntTree)
 
 /**
diff --git a/gntmenuitem.h b/gntmenuitem.h
--- a/gntmenuitem.h
+++ b/gntmenuitem.h
@@ -25,13 +25,6 @@
 
 #ifndef GNT_MENUITEM_H
 #define GNT_MENUITEM_H
-/**
- * SECTION:gntmenuitem
- * @section_id: libgnt-gntmenuitem
- * @title: GntMenuItem
- * @short_description: An item within a menu
- * @see_also: #GntMenu #GntMenuItem
- */
 
 #include <glib.h>
 #include <glib-object.h>
@@ -67,11 +60,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_menuitem_get_type:
- *
- * Returns: GType for GntMenuItem.
- */
 G_DECLARE_DERIVABLE_TYPE(GntMenuItem, gnt_menuitem, GNT, MENU_ITEM, GObject)
 
 /**
diff --git a/gntmenuitemcheck.h b/gntmenuitemcheck.h
--- a/gntmenuitemcheck.h
+++ b/gntmenuitemcheck.h
@@ -25,13 +25,6 @@
 
 #ifndef GNT_MENU_ITEM_CHECK_H
 #define GNT_MENU_ITEM_CHECK_H
-/**
- * SECTION:gntmenuitemcheck
- * @section_id: libgnt-gntmenuitemcheck
- * @title: GntMenuItemCheck
- * @short_description: A menu item with a check box
- * @see_also: #GntMenu #GntMenuItem
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -41,11 +34,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_menuitem_check_get_type:
- *
- * Returns: GType for GntMenuItemCheck.
- */
 G_DECLARE_FINAL_TYPE(GntMenuItemCheck, gnt_menuitem_check, GNT, MENU_ITEM_CHECK,
                      GntMenuItem)
 
diff --git a/gntprogressbar.h b/gntprogressbar.h
--- a/gntprogressbar.h
+++ b/gntprogressbar.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_PROGRESS_BAR_H
 #define GNT_PROGRESS_BAR_H
-/**
- * SECTION:gntprogressbar
- * @section_id: libgnt-gntprogressbar
- * @title: GntProgressBar
- * @short_description: A widget that shows progress visually
- */
 
 #include "gntwidget.h"
 
@@ -55,15 +49,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_progress_bar_get_type:
- *
- * Get the #GType for GntProgressBar
- *
- * Returns: The GType for GntProrgressBar
- *
- * Since: 2.6.0
- */
 G_DECLARE_FINAL_TYPE(GntProgressBar, gnt_progress_bar, GNT, PROGRESS_BAR,
 		GntWidget)
 
diff --git a/gntslider.h b/gntslider.h
--- a/gntslider.h
+++ b/gntslider.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_SLIDER_H
 #define GNT_SLIDER_H
-/**
- * SECTION:gntslider
- * @section_id: libgnt-gntslider
- * @title: GntSlider
- * @short_description: A widget for selecting from a range of values
- */
 
 #include "gntlabel.h"
 #include "gntwidget.h"
@@ -39,13 +33,6 @@
 
 #define GNT_TYPE_SLIDER gnt_slider_get_type()
 
-/**
- * gnt_slider_get_type:
- *
- * Returns: The GType for GntSlider
- *
- * Since: 2.1.0
- */
 G_DECLARE_DERIVABLE_TYPE(GntSlider, gnt_slider, GNT, SLIDER, GntWidget)
 
 /**
diff --git a/gntstyle.h b/gntstyle.h
--- a/gntstyle.h
+++ b/gntstyle.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_STYLE_H
 #define GNT_STYLE_H
-/**
- * SECTION:gntstyle
- * @section_id: libgnt-gntstyle
- * @title: Styles
- * @short_description: Styling from a configuration file
- */
 
 #include "gntwm.h"
 
diff --git a/gnttextview.h b/gnttextview.h
--- a/gnttextview.h
+++ b/gnttextview.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_TEXT_VIEW_H
 #define GNT_TEXT_VIEW_H
-/**
- * SECTION:gnttextview
- * @section_id: libgnt-gnttextview
- * @title: GntTextView
- * @short_description: A widget for displaying larger bodies of formatted text
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -79,11 +73,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_text_view_get_type:
- *
- * Returns:  GType for GntTextView.
- */
 G_DECLARE_FINAL_TYPE(GntTextView, gnt_text_view, GNT, TEXT_VIEW, GntWidget)
 
 /**
@@ -93,7 +82,7 @@
  *
  * Returns: The newly created textview.
  */
-GntWidget * gnt_text_view_new(void);
+GntWidget *gnt_text_view_new(void);
 
 /**
  * gnt_text_view_scroll:
diff --git a/gnttree.h b/gnttree.h
--- a/gnttree.h
+++ b/gnttree.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_TREE_H
 #define GNT_TREE_H
-/**
- * SECTION:gnttree
- * @section_id: libgnt-gnttree
- * @title: GntTree
- * @short_description: A widget that shows a tree of items
- */
 
 #include "gntcolors.h"
 #include "gntkeys.h"
@@ -45,11 +39,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_tree_get_type:
- *
- * Returns: The GType for GntTree
- */
 G_DECLARE_DERIVABLE_TYPE(GntTree, gnt_tree, GNT, TREE, GntWidget)
 
 /**
diff --git a/gntutils.h b/gntutils.h
--- a/gntutils.h
+++ b/gntutils.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_UTILS_H
 #define GNT_UTILS_H
-/**
- * SECTION:gntutils
- * @section_id: libgnt-gntutils
- * @title: Utility functions
- * @short_description: Various internal utility functions
- */
 
 #include <glib.h>
 
diff --git a/gntwidget.h b/gntwidget.h
--- a/gntwidget.h
+++ b/gntwidget.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_WIDGET_H
 #define GNT_WIDGET_H
-/**
- * SECTION:gntwidget
- * @section_id: libgnt-gntwidget
- * @title: GntWidget
- * @short_description: A general widget
- */
 
 #include <stdio.h>
 #include <glib.h>
@@ -64,11 +58,6 @@
 
 #define GNT_TYPE_WIDGET gnt_widget_get_type()
 
-/**
- * gnt_widget_get_type:
- *
- * Returns:  GType for GntWidget.
- */
 G_DECLARE_DERIVABLE_TYPE(GntWidget, gnt_widget, GNT, WIDGET, GntBindable)
 
 /**
diff --git a/gntwindow.h b/gntwindow.h
--- a/gntwindow.h
+++ b/gntwindow.h
@@ -25,12 +25,6 @@
 
 #ifndef GNT_WINDOW_H
 #define GNT_WINDOW_H
-/**
- * SECTION:gntwindow
- * @section_id: libgnt-gntwindow
- * @title: GntWindow
- * @short_description: A toplevel window
- */
 
 #include "gntbox.h"
 #include "gntcolors.h"
@@ -70,11 +64,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_window_get_type:
- *
- * Returns:  GType for GntWindow.
- */
 G_DECLARE_DERIVABLE_TYPE(GntWindow, gnt_window, GNT, WINDOW, GntBox)
 
 /**
diff --git a/gntwm.h b/gntwm.h
--- a/gntwm.h
+++ b/gntwm.h
@@ -25,12 +25,6 @@
 
 #ifndef GNTWM_H
 #define GNTWM_H
-/**
- * SECTION:gntwm
- * @section_id: libgnt-gntwm
- * @title: GntWM
- * @short_description: A window manager
- */
 
 #include "gntwidget.h"
 #include "gntmenu.h"
@@ -62,11 +56,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * gnt_wm_get_type:
- *
- * Returns: GType for GntWM.
- */
 G_DECLARE_DERIVABLE_TYPE(GntWM, gnt_wm, GNT, WM, GntBindable)
 
 /**
diff --git a/gntws.h b/gntws.h
--- a/gntws.h
+++ b/gntws.h
@@ -25,12 +25,6 @@
 
 #ifndef GNTWS_H
 #define GNTWS_H
-/**
- * SECTION:gntws
- * @section_id: libgnt-gntws
- * @title: GntWS
- * @short_description: Workspace API
- */
 
 #include "gntwidget.h"
 
@@ -40,13 +34,6 @@
 
 #define GNT_TYPE_WS gnt_ws_get_type()
 
-/**
- * gnt_ws_get_type:
- *
- * Returns: The GType for GntWS.
- *
- * Since: 2.1.0
- */
 G_DECLARE_DERIVABLE_TYPE(GntWS, gnt_ws, GNT, WS, GntBindable)
 
 /**
@@ -54,6 +41,8 @@
  * @draw_taskbar: This is never called?
  *
  * The class structure for #GntWS.
+ *
+ * Since: 2.1.0
  */
 struct _GntWSClass
 {
